Upstream information

CVE-2016-10087 at MITRE

Description

The png_set_text_2 function in libpng 0.71 before 1.0.67, 1.2.x before 1.2.57, 1.4.x before 1.4.20, 1.5.x before 1.5.28, and 1.6.x before 1.6.27 allows context-dependent attackers to cause a NULL pointer dereference vectors involving loading a text chunk into a png structure, removing the text, and then adding another text chunk to the structure.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 1.9
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:L/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Local
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1017646 [RESOLVED], 1149680 [RESOLVED / NORESPONSE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/nginx-ingress-controller:beta1
  • libpng16-16 >= 1.6.8-14.1
SUSE Linux Enterprise Desktop 12 SP1
  • libpng12 >= 1.2.50-19.1
  • libpng12-0 >= 1.2.50-19.1
  • libpng12-0-32bit >= 1.2.50-19.1
  • libpng15 >= 1.5.22-9.1
  • libpng15-15 >= 1.5.22-9.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-478
SUSE-SLE-DESKTOP-12-SP1-2017-482
SUSE-SLE-DESKTOP-12-SP1-2017-548
SUSE Linux Enterprise Desktop 12 SP2
  • libpng12 >= 1.2.50-19.1
  • libpng12-0 >= 1.2.50-19.1
  • libpng12-0-32bit >= 1.2.50-19.1
  • libpng15 >= 1.5.22-9.1
  • libpng15-15 >= 1.5.22-9.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-478
SUSE-SLE-DESKTOP-12-SP2-2017-482
SUSE-SLE-DESKTOP-12-SP2-2017-548
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libpng12-0 >= 1.2.50-19.1
  • libpng12-0-32bit >= 1.2.50-19.1
  • libpng15-15 >= 1.5.22-9.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
  • libpng16-16 >= 1.6.34-1.19
  • libpng16-16-32bit >= 1.6.34-1.19
  • libpng16-compat-devel >= 1.6.34-1.19
  • libpng16-devel >= 1.6.34-1.19
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libpng12-0 >= 1.2.31-5.43.1
  • libpng12-0-32bit >= 1.2.31-5.43.1
  • libpng12-0-x86 >= 1.2.31-5.43.1
Patchnames:
slessp4-libpng12-0-13045
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libpng12 >= 1.2.50-19.1
  • libpng12-0 >= 1.2.50-19.1
  • libpng12-0-32bit >= 1.2.50-19.1
  • libpng15 >= 1.5.22-9.1
  • libpng15-15 >= 1.5.22-9.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-478
SUSE-SLE-SERVER-12-SP1-2017-482
SUSE-SLE-SERVER-12-SP1-2017-548
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libpng12 >= 1.2.50-19.1
  • libpng12-0 >= 1.2.50-19.1
  • libpng12-0-32bit >= 1.2.50-19.1
  • libpng15 >= 1.5.22-9.1
  • libpng15-15 >= 1.5.22-9.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-478
SUSE-SLE-SERVER-12-SP2-2017-482
SUSE-SLE-SERVER-12-SP2-2017-548
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libpng12 >= 1.2.50-19.1
  • libpng12-0 >= 1.2.50-19.1
  • libpng15 >= 1.5.22-9.1
  • libpng15-15 >= 1.5.22-9.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-16 >= 1.6.8-14.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-478
SUSE-SLE-RPI-12-SP2-2017-482
SUSE-SLE-RPI-12-SP2-2017-548
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libpng-devel >= 1.2.31-5.43.1
  • libpng-devel-32bit >= 1.2.31-5.43.1
  • libpng12-0 >= 1.2.31-5.43.1
Patchnames:
sdksp4-libpng12-0-13045
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libpng12 >= 1.2.50-19.1
  • libpng12-compat-devel >= 1.2.50-19.1
  • libpng12-devel >= 1.2.50-19.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-478
SUSE-SLE-SDK-12-SP1-2017-482
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libpng12 >= 1.2.50-19.1
  • libpng12-compat-devel >= 1.2.50-19.1
  • libpng12-devel >= 1.2.50-19.1
  • libpng16 >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-478
SUSE-SLE-SDK-12-SP2-2017-482
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libpng12-compat-devel >= 1.2.50-19.1
  • libpng12-devel >= 1.2.50-19.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
openSUSE Leap 15.0
  • libpng16-16 >= 1.6.34-lp150.1.5
Patchnames:
openSUSE Leap 15.0 GA libpng16-16
openSUSE Leap 42.1
  • libpng12 >= 1.2.50-11.1
  • libpng12-0 >= 1.2.50-11.1
  • libpng12-0-32bit >= 1.2.50-11.1
  • libpng12-0-debuginfo >= 1.2.50-11.1
  • libpng12-0-debuginfo-32bit >= 1.2.50-11.1
  • libpng12-compat-devel >= 1.2.50-11.1
  • libpng12-compat-devel-32bit >= 1.2.50-11.1
  • libpng12-debugsource >= 1.2.50-11.1
  • libpng12-devel >= 1.2.50-11.1
  • libpng12-devel-32bit >= 1.2.50-11.1
  • libpng15 >= 1.5.22-7.1
  • libpng15-15 >= 1.5.22-7.1
  • libpng15-15-32bit >= 1.5.22-7.1
  • libpng15-15-debuginfo >= 1.5.22-7.1
  • libpng15-15-debuginfo-32bit >= 1.5.22-7.1
  • libpng15-debugsource >= 1.5.22-7.1
  • libpng16 >= 1.6.8-10.1
  • libpng16-16 >= 1.6.8-10.1
  • libpng16-16-32bit >= 1.6.8-10.1
  • libpng16-16-debuginfo >= 1.6.8-10.1
  • libpng16-16-debuginfo-32bit >= 1.6.8-10.1
  • libpng16-compat-devel >= 1.6.8-10.1
  • libpng16-compat-devel-32bit >= 1.6.8-10.1
  • libpng16-debugsource >= 1.6.8-10.1
  • libpng16-devel >= 1.6.8-10.1
  • libpng16-devel-32bit >= 1.6.8-10.1
  • libpng16-tools >= 1.6.8-10.1
  • libpng16-tools-debuginfo >= 1.6.8-10.1
Patchnames:
openSUSE-2017-441
openSUSE-2017-443
openSUSE-2017-477
openSUSE Leap 42.2
  • libpng12 >= 1.2.50-10.3.1
  • libpng12-0 >= 1.2.50-10.3.1
  • libpng12-0-32bit >= 1.2.50-10.3.1
  • libpng12-0-debuginfo >= 1.2.50-10.3.1
  • libpng12-0-debuginfo-32bit >= 1.2.50-10.3.1
  • libpng12-compat-devel >= 1.2.50-10.3.1
  • libpng12-compat-devel-32bit >= 1.2.50-10.3.1
  • libpng12-debugsource >= 1.2.50-10.3.1
  • libpng12-devel >= 1.2.50-10.3.1
  • libpng12-devel-32bit >= 1.2.50-10.3.1
  • libpng15 >= 1.5.22-5.3.1
  • libpng15-15 >= 1.5.22-5.3.1
  • libpng15-15-32bit >= 1.5.22-5.3.1
  • libpng15-15-debuginfo >= 1.5.22-5.3.1
  • libpng15-15-debuginfo-32bit >= 1.5.22-5.3.1
  • libpng15-debugsource >= 1.5.22-5.3.1
  • libpng16 >= 1.6.8-9.3.1
  • libpng16-16 >= 1.6.8-9.3.1
  • libpng16-16-32bit >= 1.6.8-9.3.1
  • libpng16-16-debuginfo >= 1.6.8-9.3.1
  • libpng16-16-debuginfo-32bit >= 1.6.8-9.3.1
  • libpng16-compat-devel >= 1.6.8-9.3.1
  • libpng16-compat-devel-32bit >= 1.6.8-9.3.1
  • libpng16-debugsource >= 1.6.8-9.3.1
  • libpng16-devel >= 1.6.8-9.3.1
  • libpng16-devel-32bit >= 1.6.8-9.3.1
  • libpng16-tools >= 1.6.8-9.3.1
  • libpng16-tools-debuginfo >= 1.6.8-9.3.1
Patchnames:
openSUSE-2017-441
openSUSE-2017-443
openSUSE-2017-477
openSUSE Leap 42.3
  • libpng12-0 >= 1.2.50-12.3
  • libpng12-0-32bit >= 1.2.50-12.3
  • libpng12-devel >= 1.2.50-12.3
  • libpng16-16 >= 1.6.8-11.3
  • libpng16-16-32bit >= 1.6.8-11.3
  • libpng16-compat-devel >= 1.6.8-11.3
  • libpng16-devel >= 1.6.8-11.3
Patchnames:
openSUSE Leap 42.3 GA libpng12-0
openSUSE Leap 42.3 GA libpng16-16


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 libpng12 Released
SUSE Linux Enterprise Desktop 12 SP1 libpng15 Released
SUSE Linux Enterprise Desktop 12 SP1 libpng16 Released
SUSE Linux Enterprise Desktop 12 SP2 libpng12 Released
SUSE Linux Enterprise Desktop 12 SP2 libpng15 Released
SUSE Linux Enterprise Desktop 12 SP2 libpng16 Released
SUSE Linux Enterprise Server 12 SP1 libpng12 Released
SUSE Linux Enterprise Server 12 SP1 libpng15 Released
SUSE Linux Enterprise Server 12 SP1 libpng16 Released
SUSE Linux Enterprise Server 12 SP2 libpng12 Released
SUSE Linux Enterprise Server 12 SP2 libpng15 Released
SUSE Linux Enterprise Server 12 SP2 libpng16 Released
SUSE Linux Enterprise Server for the Raspberry Pi libpng12 Released
SUSE Linux Enterprise Server for the Raspberry Pi libpng15 Released
SUSE Linux Enterprise Server for the Raspberry Pi libpng16 Released
SUSE Linux Enterprise Software Development Kit 12 libpng12 Released
SUSE Linux Enterprise Software Development Kit 12 libpng16 Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libpng12 Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libpng16 Released